Subject: Re: Latest GCC/GLIBC working combo for a Linux 2.4.x kernel?

From: Clemens Koller <[email-masked]>
Date: Fri, 25 May 2007 14:54:20 +0200

Hi, Sasvata!

> We are using a RHEL/386 machine to cross-compile for Debian/PowerPC 
> (8260) target, a few year old embedded system that we inherited.  The 
> kernel is 2.4.9. Using crosstools, and following Dan Kegel's notes, the 
> combo we have is gcc-2.95-3/glibc-2.2.5.
> 
> Does anybody have any working version using newer versions of the 2.4 
> kernel and newer GCC versions for a powerpc-603e target?  One motivation 
> is to use BusyBox-1.5.1, but I am told on that list that GCC 2/x is too 
> old (I tried before I asked, it doesn't compile).

It's propably painful to work your way through crosstools with such an
old toolchain. I would have a look if one of the ELDK's from
http://www.denx.de can be used for your board - at least for a good start.
If you run into problems with older linux-2.4 kernel version with the newer ELDK's,
you can also go back to some older version?

> Any help, pointers, example config files for crosstools, etc. would be 
> really appreciated!

You are always welcome at their mailing list. See:
http://kegel.com/crosstool

Best greets,
-- 
Clemens Koller
__________________________________
R&D Imaging Devices
Anagramm GmbH
Rupert-Mayer-Straße 45/1
Linhof Werksgelände
D-81379 München
Tel.089-741518-50
Fax 089-741518-19
http://www.anagramm-technology.com